Request
Parameters
universe_id*uuidUnique identifier of the universe.
sizeintegerNumber of records per page
Default: 10Range: [1, 1000]search_afterstringsearch_afterfield value from the previous pagename(string (operator))[]Name of the entity.
Example: "ilike:hello"alias(string (operator))[]Alternative name, abbreviation, or local brand used to refer to a company or entity.
Example: "ilike:hello"duns(string (operator))[]Duns number of the entity.
Example: "ilike:hello"figi(string (operator))[]FIGI (Financial Instrument Global Identifier) of the entity.
Example: "ilike:hello"isin(string (operator))[]International Securities Identification Number used to uniquely identify a financial security.
Example: "ilike:hello"ticker(string (operator))[]Stock market ticker symbol used to identify a publicly traded company on an exchange.
Example: "ilike:hello"lei(string (operator))[]Legal Entity Identifier (LEI) is a 20-character alphanumeric code.
Example: "ilike:hello"entity_id(string (operator))[]SESAMm Unique Entity ID.
Example: "eq:hello"website(string (operator))[]Website of the entity. Protocol is not always present.
Example: "ilike:hello"country(string (enum))[]County of the entity.
Values: "afghanistan", "aland islands", "albania", "algeria", "american samoa", "andorra", "angola", "anguilla", "antarctica", "antigua and barbuda", "argentina", "armenia", "aruba", "australia", "austria", "azerbaijan", "bahamas", "bahrain...client_code(string (operator))[]Custom entity identifiers to make it easier to link SESAMm entities with external Knowledge Graphs / client systems. The client code are isolated between the SESAMm company model and are not visible to other client.
To add yours to the entities of your universe, contact your account manager.
Example: "ilike:hello"orderfield:directionOrder to apply to the result.
Possible fields are:
name.Possible directions are:
Default: name:ascExample: "name:asc"ascanddesc.fields(string (enum))[]Fields to include in the response
Default: ["id", "description", "name", "figi", "isin", "ticker", "alias", "website", "country", "lei"]Values: "id", "description", "name", "figi", "isin", "ticker", "alias", "website", "country", "lei", "related_universe_count"
Response
Properties of the entities
data*object[]Properties of the entities.
size*integerNumber of records per page requested.
Example: 1has_next*booleanTrue if there are more records available.
Example: truecount*integerNumber of records returned in the current page.
Example: 1total*integerTotal number of records.
Example: 1search_afterstring | nullCursor for next page.
{
"data": [
{
"id": "753c48d6-23c8-5fb0-9230-b099898452b5",
"description": "Fujitsu is a information & communications technology equipment and services firm providing IT & IT infrastructure and other services.",
"name": "Fujitsu",
"figi": "BBG000BLNXT1",
"isin": [
"US0378331005"
],
"ticker": [
"AAPL"
],
"alias": [
"Apple Inc."
],
"website": "https://www.fujitsu.com/",
"country": "japan",
"lei": "123400ABCDEFGH56789",
"related_universe_count": 0
}
],
"size": 1,
"has_next": true,
"count": 1,
"total": 1,
"search_after": "string"
}Error
Bad request
message*stringError message.
Example: "The server returned an unexpected response"code*integerError code.
Example: 400reason*string (enum)Error reason.
Values: "invalid", "timeout", "offline", "unknown", "not_found", "unauthorized", "forbidden", "internal", "too_many_requests"errorsobject[]Possible error causes, like query params, headers or body.
{
"message": "The server returned an unexpected response",
"code": 400,
"reason": "invalid",
"errors": [
{
"message": "Expected number, received string",
"field": "size",
"reason": "invalid_type"
}
]
}Not authorized
message*stringExample: "Not authorized to access this resource"code*number (enum)Error code.
Values: 403reason*string (enum)Values: "forbidden"
{
"message": "Not authorized to access this resource",
"code": 403,
"reason": "forbidden"
}Not found
message*stringExample: "[record] not found."code*number (enum)Error code.
Values: 404reason*string (enum)Values: "not_found"
{
"message": "[record] not found.",
"code": 404,
"reason": "not_found"
}